Bug 328361 - Account has same username as group name failed to login LDAP enabled machine
Account has same username as group name failed to login LDAP enabled machine
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_ldap (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2007-10-11 16:11 EDT by Simon Gao
Modified: 2010-07-01 13:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-07-01 13:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon Gao 2007-10-11 16:11:40 EDT
Description of problem:

When a user has the same username as group name in LDAP directory, the user
can't authenticate successfully when trying to log into the LDAP enabled machine
either by console or ssh.

If duplicate the account, and then change username and uid, then the same
password works fine.

Version-Release number of selected component (if applicable):

This happens to RHEL5 only. RHEL4.x works fine. 


How reproducible:

Steps to Reproduce:
1. Create an account with a username same as a primary group name in LDAP.
2. Configure /etc/ldap.conf, /etc/openldap/ldap.conf
3. Try log into the machine as the user

Actual results:

Expected results:

Additional info:
Comment 1 Nalin Dahyabhai 2007-10-12 11:26:36 EDT
I can't reproduce this here with a test user whose primary group has the same
name as the user, using either pam_ldap or pam_krb5 for checking passwords.

Are you also using a different module which might be denying the user's attempts
to log in?  Can you attach the contents of your /etc/ldap.conf,
/etc/pam.d/login, /etc/pam.d/sshd, and /etc/pam.d/system-auth files?  Is there
anything in /var/log/messages or /var/log/secure which might provide a clue?
Comment 2 Dmitri Pal 2010-07-01 13:08:42 EDT
Closing. If you have additional data please reopen.

Note You need to log in before you can comment on or make changes to this bug.